/*! bxs-vue-ui v3.3.0 */
'use strict';

var normalizeComponent = require('./normalize-component.js');
var sloppyArrayMethod = require('./sloppy-array-method2.js');

var nativeJoin = [].join;

var ES3_STRINGS = normalizeComponent.IndexedObject != Object;
var SLOPPY_METHOD = sloppyArrayMethod.sloppyArrayMethod('join', ',');

// `Array.prototype.join` method
// https://tc39.github.io/ecma262/#sec-array.prototype.join
normalizeComponent.$({ target: 'Array', proto: true, forced: ES3_STRINGS || SLOPPY_METHOD }, {
  join: function join(separator) {
    return nativeJoin.call(normalizeComponent.toIndexedObject(this), separator === undefined ? ',' : separator);
  }
});
